## org.apache.poi.hssf.usermodel
Class HSSFFooter

    java.lang.Object
      org.apache.poi.hssf.usermodel.HeaderFooter
          org.apache.poi.hssf.usermodel.HSSFFooter

All Implemented Interfaces:
  Footer, HeaderFooter

    public final class HSSFFooter

extends HeaderFooter
implements Footer

Class to read and manipulate the footer.

The footer works by having a left, center, and right side. The total cannot be more that 255 bytes long. One uses this class by getting the HSSFFooter from HSSFSheet and then getting or setting the left, center, and right side. For special things (such as page numbers and date), one can use a the methods that return the characters used to represent these. One can also change the fonts by using similar methods.

Author:
  Shawn Laubach (slaubach at apache dot org)

Constructor Summary
`protected` `HSSFFooter(PageSettingsBlock psb)`

Method Summary
`protected java.lang.String` `getRawText()`
`protected void` `setHeaderFooterText(java.lang.String text)`

Methods inherited from class org.apache.poi.hssf.usermodel.HeaderFooter
`date, endBold, endDoubleUnderline, endUnderline, file, font, fontSize, getCenter, getLeft, getRight, numPages, page, setCenter, setLeft, setRight, startBold, startDoubleUnderline, startUnderline, stripFields, tab, time`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.ss.usermodel.Footer
`getCenter, getLeft, getRight, setCenter, setLeft, setRight`

Constructor Detail

### HSSFFooter

    protected HSSFFooter(PageSettingsBlock psb)

Method Detail

### getRawText

    protected java.lang.String getRawText()

  Specified by:
    `getRawText` in class `HeaderFooter`
  Returns:
    the internal text representation (combining center, left and right parts). Possibly empty string if no header or footer is set. Never `null`.

### setHeaderFooterText

    protected void setHeaderFooterText(java.lang.String text)

  Specified by:
    `setHeaderFooterText` in class `HeaderFooter`
  Parameters:
    `text` - the new header footer text (contains mark-up tags). Possibly empty string never `null`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.